# Re-export task operations
from app.crud.task import create as create_task
from app.crud.task import delete as delete_task
from app.crud.task import get as get_task
from app.crud.task import get_multi as get_tasks
from app.crud.task import hard_delete as hard_delete_task
from app.crud.task import update as update_task

# Re-export user operations
from app.crud.user import authenticate as authenticate_user
from app.crud.user import create as create_user
from app.crud.user import delete as delete_user
from app.crud.user import get as get_user
from app.crud.user import get_by_email as get_user_by_email
from app.crud.user import get_by_username as get_user_by_username
from app.crud.user import update as update_user

__all__ = [
    "create_task",
    "delete_task",
    "get_task",
    "get_tasks",
    "hard_delete_task",
    "update_task",
    "authenticate_user",
    "create_user",
    "delete_user",
    "get_user",
    "get_user_by_email",
    "get_user_by_username",
    "update_user",
]
